gr::radar::signal_generator_cw_c Class Reference

This block generates a signal for CW radar in baseband. The waveform consists of one (or sometimes multiple) constant frequency. More...

`#include <signal_generator_cw_c.h>`

Inheritance diagram for gr::radar::signal_generator_cw_c:

## Public Types

typedef std::shared_ptr< signal_generator_cw_c > | sptr

## Static Public Member Functions

static sptr | make (int packet_len, int samp_rate, std::vector< float > frequency, float amplitude, const std::string &len_key="packet_len")
| Return a shared_ptr to a new instance of radar::signal_generator_cw_c.

## Detailed Description

This block generates a signal for CW radar in baseband. The waveform consists of one (or sometimes multiple) constant frequency.

Parameters

  packet_len | packet_len is the length of a single tagged stream package which will be processed in subsequent tagged stream blocks.
  samp_rate | Signal sample rate
  frequency | This parameter holds a vector of all constant frequencies in baseband.
  amplitude | Signal amplitude
  len_key | Packet length key for tagged stream

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<signal_generator_cw_c> gr::radar::signal_generator_cw_c::sptr

## Member Function Documentation

## make()

sptr gr::radar::signal_generator_cw_c::make | ( | int | packet_len,
|  | int | samp_rate,
|  | std::vector< float > | frequency,
|  | float | amplitude,
|  | const std::string & | len_key = "packet_len" )

static

Return a shared_ptr to a new instance of radar::signal_generator_cw_c.

To avoid accidental use of raw pointers, radar::signal_generator_cw_c's constructor is in a private implementation class. radar::signal_generator_cw_c::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- signal_generator_cw_c.h